import request from '@/utils/request'

// 查询农专年报分支机构信息列表
export function listBranchinfo(query) {
  return request({
    url: '/basicData/xcrAnSfcBranchinfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专年报分支机构信息详细
export function getBranchinfo(xhCodeId) {
  return request({
    url: '/basicData/xcrAnSfcBranchinfo/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专年报分支机构信息
export function addBranchinfo(data) {
  return request({
    url: '/basicData/xcrAnSfcBranchinfo',
    method: 'post',
    data: data
  })
}

// 修改农专年报分支机构信息
export function updateBranchinfo(data) {
  return request({
    url: '/basicData/xcrAnSfcBranchinfo',
    method: 'put',
    data: data
  })
}

// 删除农专年报分支机构信息
export function delBranchinfo(xhCodeId) {
  return request({
    url: '/basicData/xcrAnSfcBranchinfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delBranchinfoBatch(ids) {
  return request.post('/basicData/xcrAnSfcBranchinfo/delete',ids)
}
